]> git.pld-linux.org Git - packages/inkscape.git/blob - inkscape.spec
- updated poppler fixes from upstream
[packages/inkscape.git] / inkscape.spec
1 #
2 # Conditional build
3 %bcond_with     dbus            # DBus interface
4 %bcond_with     gtk3            # GTK+ 3 interface [experimental]
5 %bcond_without  gnomevfs        # Don't use gnome vfs for loading files
6 %bcond_with     relocation      # Enable binary relocation support
7 #
8
9 Summary:        Scalable vector graphics editor
10 Summary(pl.UTF-8):      Edytor skalowalnej grafiki wektorowej
11 Name:           inkscape
12 Version:        0.92.3
13 Release:        4
14 License:        GPL v2+, LGPL v2.1+
15 Group:          X11/Applications/Graphics
16 Source0:        https://media.inkscape.org/dl/resources/file/%{name}-%{version}.tar.bz2
17 # Source0-md5:  4ef7171cc1de9e1608d8c49b77fed99e
18 Patch0:         %{name}-man.patch
19 Patch1:         %{name}-gtk3.patch
20 Patch2:         %{name}-poppler.patch
21 URL:            http://www.inkscape.org/
22 BuildRequires:  ImageMagick-c++-devel
23 BuildRequires:  aspell-devel
24 BuildRequires:  autoconf >= 2.64
25 BuildRequires:  automake >= 1:1.9.4-2
26 BuildRequires:  boost-devel >= 1.36
27 BuildRequires:  cairo-devel >= 1.10
28 BuildRequires:  cairomm-devel >= 1.9.8
29 %{?with_dbus:BuildRequires:     dbus-glib-devel}
30 BuildRequires:  freetype-devel >= 2.0
31 BuildRequires:  gc-devel >= 7.2
32 BuildRequires:  gettext-tools >= 0.17
33 BuildRequires:  glib2-devel >= 1:2.28
34 BuildRequires:  glibmm-devel >= 2.28
35 %{?with_gnomevfs:BuildRequires: gnome-vfs2-devel >= 2.15.2}
36 BuildRequires:  gsl-devel
37 BuildRequires:  intltool >= 0.40.0
38 BuildRequires:  lcms2-devel >= 2
39 BuildRequires:  libcdr-devel >= 0.1
40 BuildRequires:  libexif-devel
41 BuildRequires:  libgomp-devel
42 BuildRequires:  libjpeg-devel
43 BuildRequires:  libpng-devel >= 1.2
44 BuildRequires:  librevenge-devel
45 BuildRequires:  libsigc++-devel >= 2.0.17
46 BuildRequires:  libstdc++-devel >= 6:4.7
47 BuildRequires:  libtool >= 2:2.2
48 BuildRequires:  libvisio-devel >= 0.1
49 BuildRequires:  libwpd-devel >= 0.9
50 BuildRequires:  libwpg-devel >= 0.3
51 BuildRequires:  libxml2-devel >= 1:2.6.26
52 BuildRequires:  libxslt-devel >= 1.1.17
53 BuildRequires:  pango-devel >= 1:1.24
54 BuildRequires:  pkgconfig
55 BuildRequires:  poppler-glib-devel >= 0.29.0
56 BuildRequires:  popt-devel
57 BuildRequires:  potrace-devel
58 BuildRequires:  rpm-pythonprov
59 BuildRequires:  sed >= 4.0
60 BuildRequires:  zlib-devel
61 %if %{with gtk3}
62 BuildRequires:  gdl-devel >= 3.6
63 BuildRequires:  gtk+3-devel >= 3.8
64 BuildRequires:  gtkmm3-devel >= 3.10
65 BuildRequires:  gtkspell3-devel >= 3.0
66 %else
67 BuildRequires:  gtk+2-devel >= 2:2.24
68 BuildRequires:  gtkmm-devel >= 2.24
69 BuildRequires:  gtkspell-devel >= 2.0.11
70 %endif
71 Requires(post,postun):  desktop-file-utils
72 Requires:       cairo >= 1.10
73 Requires:       cairomm >= 1.9.8
74 Requires:       gc >= 7.2
75 Requires:       glib2 >= 1:2.28
76 Requires:       glibmm >= 2.28
77 %{?with_gnomevfs:Requires:      gnome-vfs2 >= 2.15.2}
78 Requires:       libsigc++ >= 2.0.17
79 Requires:       libxml2 >= 1:2.6.26
80 Requires:       libxslt >= 1.1.17
81 Requires:       pango >= 1:1.24
82 Requires:       perl-XML-XQL
83 Requires:       poppler-glib >= 0.29.0
84 %if %{with gtk3}
85 Requires:       gdl >= 3.6
86 Requires:       gtk+3 >= 3.8
87 Requires:       gtkmm3 >= 3.10
88 %else
89 Requires:       gtk+2 >= 2:2.24
90 Requires:       gtkmm >= 2.24
91 Requires:       gtkspell >= 2.0.11
92 %endif
93 Suggests:       python-lxml
94 # sr@Latn vs. sr@latin
95 Conflicts:      glibc-misc < 6:2.7
96 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
97
98 %description
99 Inkscape is a program for viewing, making, and editing two-dimensional
100 vector drawings.
101
102 %description -l pl.UTF-8
103 Inkscape jest programem do przeglÄ…dania, tworzenia i edycji
104 dwuwymiarowej grafiki wektorowej.
105
106 %prep
107 %setup -q
108 %patch0 -p1
109 %patch1 -p1
110 %patch2 -p1
111
112 %{__sed} -i -e 's,po/Makefile.in,,' configure.ac
113
114 %build
115 %{__libtoolize}
116 %{__gettextize}
117 %{__intltoolize}
118 %{__aclocal}
119 %{__autoconf}
120 %{__autoheader}
121 %{__automake}
122 %configure \
123         %{?with_relocation:--enable-binreloc} \
124         %{?with_dbus:--enable-dbusapi} \
125         %{?with_gtk3:--enable-gtk3-experimental} \
126         --disable-silent-rules \
127         %{!?with_gnomevfs:--without-gnome-vfs}
128
129 %{__make}
130
131 %install
132 rm -rf $RPM_BUILD_ROOT
133
134 %{__make} install \
135         DESTDIR=$RPM_BUILD_ROOT
136
137 # localized manuals cleanup
138 for manlang in de el fr ja sk zh_TW ; do
139         %{__mv} $RPM_BUILD_ROOT%{_mandir}/${manlang}/man1/{inkscape.${manlang}.1,inkscape.1}
140         %{__rm} $RPM_BUILD_ROOT%{_mandir}/man1/inkscape.${manlang}.1
141 done
142
143 # unify locale name, overwrite outdated bn
144 %{__mv} $RPM_BUILD_ROOT%{_localedir}/{bn_BD,bn}/LC_MESSAGES/inkscape.mo
145 # joke language, unsupported
146 %{__rm} -r $RPM_BUILD_ROOT%{_localedir}/en_US@piglatin
147 # unify names
148 %{__mv} $RPM_BUILD_ROOT%{_localedir}/{ks@aran,ks}
149 %{__mv} $RPM_BUILD_ROOT%{_localedir}/{ks@deva,ks@devanagari}
150 %{__mv} $RPM_BUILD_ROOT%{_localedir}/{sd@deva,sd@devanagari}
151 # unsupported variants
152 %{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{kok@latin,mni@beng,sat@deva}
153
154 %find_lang %{name}
155
156 %clean
157 rm -rf $RPM_BUILD_ROOT
158
159 %post
160 %update_desktop_database_post
161
162 %postun
163 %update_desktop_database_postun
164
165 %files -f %{name}.lang
166 %defattr(644,root,root,755)
167 %doc AUTHORS ChangeLog NEWS README TRANSLATORS doc/HACKING.txt
168 %lang(ca) %doc README.ca.txt
169 %lang(de) %doc README.de.txt doc/HACKING.de.txt
170 %lang(es) %doc README.es.txt
171 %lang(fr) %doc README.fr.txt doc/HACKING.fr.txt
172 %lang(it) %doc README.it.txt doc/HACKING.it.txt
173 %lang(pt_BR) %doc README.pt_BR.txt doc/HACKING.pt_BR.txt
174 %lang(sk) %doc README.sk.txt
175 %lang(sr) %doc README.sr.txt
176 %attr(755,root,root) %{_bindir}/inkscape
177 %attr(755,root,root) %{_bindir}/inkview
178 %dir %{_datadir}/inkscape
179 %{_datadir}/inkscape/[!e]*
180 %{_datadir}/inkscape/examples
181 %dir %{_datadir}/inkscape/extensions
182 %dir %{_datadir}/inkscape/extensions/Barcode
183 %attr(755,root,root) %{_datadir}/inkscape/extensions/Barcode/*.py
184 %{_datadir}/inkscape/extensions/Poly3DObjects
185 %{_datadir}/inkscape/extensions/alphabet_soup
186 %dir %{_datadir}/inkscape/extensions/ink2canvas
187 %attr(755,root,root) %{_datadir}/inkscape/extensions/ink2canvas/*.py
188 %{_datadir}/inkscape/extensions/test
189 %{_datadir}/inkscape/extensions/xaml2svg
190 %attr(755,root,root) %{_datadir}/inkscape/extensions/*.pl
191 %attr(755,root,root) %{_datadir}/inkscape/extensions/*.py
192 %attr(755,root,root) %{_datadir}/inkscape/extensions/*.rb
193 %attr(755,root,root) %{_datadir}/inkscape/extensions/*.sh
194 %{_datadir}/inkscape/extensions/*.inx
195 %{_datadir}/inkscape/extensions/*.js
196 %{_datadir}/inkscape/extensions/*.svg
197 %{_datadir}/inkscape/extensions/*.xml
198 %{_datadir}/inkscape/extensions/*.xsl
199 %{_datadir}/inkscape/extensions/*.xslt
200 %{_datadir}/inkscape/extensions/fontfix.conf
201 %{_datadir}/inkscape/extensions/inkscape.extension.rng
202 %{_datadir}/appdata/inkscape.appdata.xml
203 %{_iconsdir}/hicolor/*/apps/inkscape.png
204 %{_desktopdir}/inkscape.desktop
205 %{_mandir}/man1/inkscape.1*
206 %{_mandir}/man1/inkview.1*
207 %lang(de) %{_mandir}/de/man1/inkscape.1*
208 %lang(el) %{_mandir}/el/man1/inkscape.1*
209 %lang(fr) %{_mandir}/fr/man1/inkscape.1*
210 %lang(ja) %{_mandir}/ja/man1/inkscape.1*
211 %lang(sk) %{_mandir}/sk/man1/inkscape.1*
212 %lang(zh_TW) %{_mandir}/zh_TW/man1/inkscape.1*
This page took 0.05028 seconds and 3 git commands to generate.